import globals from "globals";
import pluginJs from "@eslint/js";

export default [
  { files: ["**/*.js"], languageOptions: { sourceType: "commonjs" } },
  { languageOptions: { globals: globals.browser } },
  pluginJs.configs.recommended,{
    "rules": {
      "no-unused-vars": ["error", { "argsIgnorePattern": "^_" }],
      "no-console": "off",
      "eqeqeq": ["warn", "always"],
      "no-var": "error",
      "prefer-arrow-callback": "warn",
      "no-use-before-define": "error",
      "no-duplicate-imports": "error",
      "no-shadow": "warn",
      "no-empty-function": "warn",
    }
  }
];
