export const tsconfig=(isJavaScript) =>{
  return {compilerOptions: {
    target: "ES6",
    module:  isJavaScript ? "commonjs" : "Node16",
    outDir: "./dist",
    rootDir: "./src",
    strict: true,
    esModuleInterop: true,
    skipLibCheck: true,
    forceConsistentCasingInFileNames: true
},
include: ["src/**/*"],
exclude: ["node_modules"]
}
}
export const tsInstallers=['install', 'express', 'cors', 'dotenv']
export const tsDevInstallers=['install', 'nodemon','@types/node', '@types/express', '@types/cors', '@types/dotenv','@eslint/js','typescript-eslint','globals','eslint','--save-dev']
